Name:           serdisplib
Version:        1.97.9
Release:        1%{?dist}
Summary:        Library to drive serial displays with built-in controllers
Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://serdisplib.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gd-devel libusb-devel SDL-devel

%description
serdisplib started as a library to drive serial displays with built-in
controllers. beginning with version 1.95 support was added for parallel driven
displays. anyhow: the name 'serdisplib' will not change.

The serial in "serial display" characterizes the way of how the data is
transferred to the display controller: data is sent bit by bit using a single
input line. several (few) other lines are controlling things like timing
(clock), data or command, ... 


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package tools
Summary:        serdisplib tools (testserdisp, multidisplay)
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description tools
This package contains the tools for serdisplib


%prep
%setup -q


%build
%configure --enable-libusb --enable-libSDL --disable-statictools
# STATIC_LDFLAGS: work around broken non static utils linking
make %{?_smp_mflags} STATIC_LDFLAGS="-lusb -lSDL -lpthread"


%install
rm -rf $RPM_BUILD_ROOT
# Ugh no DESTDIR support, how lame
%makeinstall
rm $RPM_BUILD_ROOT%{_libdir}/libserdisp.a


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc doc COPYING HISTORY README TODO
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/serdisplib
%{_libdir}/*.so

%files tools
%defattr(-,root,root,-)
%{_bindir}/*


%changelog
* Sat Feb 19 2011 Hans de Goede <hdegoede@redhat.com> - 1.97.9-1
- Initial Fedora package
